ul#tweetList {
    display: block;
    width: 100%;
}
ul#tweetList li {
    display: block;
    width: 100%;
    height: auto;
    padding: 15px;
    margin-bottom: 8px;
    background: rgb( var( --r5 ), 0.25 );
    border-radius: 10px;
}
ul#tweetList li.WaterfallsFlowItem {
    max-width: calc( 33.3333% - 5px );
}
ul#tweetList li.WaterfallsFlowItem.hide {
    display: none;
}
@media ( max-width: 900px ) {
    ul#tweetList li.WaterfallsFlowItem {
        max-width: calc( 50% - 4px );
    }
}
@media ( max-width: 630px ) {
    ul#tweetList li.WaterfallsFlowItem {
        max-width: 100%;
    }
}
ul#tweetList li#release h5{
    padding-left: 8px;
    padding-top: 8px;
    padding-bottom: 16px;
    line-height: 30px;
}
ul#tweetList li#release h5 button {
    float: right;
    padding: 0px 14px;
    font-size: 14px;
    line-height: 30px;
    font-weight: normal;
}
ul#tweetList li#release form textarea {
    background: rgb( var( --r1 ), 0.1 );
    border: none;
}
ul#tweetList li#release form input {
    background: rgb( var( --r1 ), 0.1 );
    border-radius: 10px;
    border: none;
}
ul#tweetList li#release form div.upload {
    white-space: nowrap;
    overflow-x: scroll;
}
ul#tweetList li#release form div.upload div, ul#tweetList li#release form div.upload img {
    display: inline-block;
    width: 50px;
    height: 50px;
    margin-bottom: 4px;
    background: rgb( var( --r1 ), 0.1 );
    font-size: 26px;
    text-align: center;
    line-height: 50px;
    vertical-align: middle;
    border-radius: 10px;
    object-fit: cover;
    cursor: pointer;
}
ul#tweetList li#release form div.upload div {
    display: none;
}
ul#tweetList li#release form div.upload div.action {
    display: inline-block;
}
ul#tweetList li:not( #release ) {
    padding-bottom: 80px;
    position: relative;
}
ul#tweetList li::before {
    font-size: 58px;
    font-weight: bold;
    opacity: 0.15;
    position: absolute;
    right: -18px;
    top: -22px;
}
ul#tweetList li div.info {
    padding-bottom: 8px;
    margin-bottom: 8px;
    border-bottom: 1px solid rgb( var( --r1 ), 0.1 );
}
ul#tweetList li div.info img {
    float: left;
    width: 40px;
    height: 40px;
    margin-right: 8px;
    vertical-align: middle;
    border-radius: 90px;
}
ul#tweetList li div.info p {
    margin: 0;
}
ul#tweetList li div.info p.nickname {
    margin-top: 3px;
    font-weight: bold;
}
ul#tweetList li div.info p.source {
    font-size: 12px;
    color: rgb( var( --r1 ), 0.5 );
}
ul#tweetList li div.info p.nickname, ul#tweetList li div.info p.source {
    width: calc( 100% - 48px );
}
ul#tweetList li div.img {
    display: grid;
    min-height: 20px;
    grid-template-columns: repeat( auto-fill, minmax( 30%, 1fr ) );
    grid-gap: 8px;
}
ul#tweetList li div.img img {
    width: 100%;
    vertical-align: middle;
    border-radius: 5px;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    cursor: pointer;
}
ul#tweetList li div.img.img1 {
    display: block;
}
ul#tweetList li div.img.img1 img {
    height: auto;
    max-height: 240px;
    border-radius: 0px;
    object-fit: contain;
    object-position: left;
    aspect-ratio: unset;
}
ul#tweetList li div.img.img2 {
    grid-template-columns: repeat( auto-fill, minmax( 48%, 1fr ) );
}
ul#tweetList li div.location {
    width: calc( 100% - 30px );
    font-size: 12px;
    position: absolute;
    bottom: 50px;
}
ul#tweetList li div.location p {
    display: inline-block;
    width: calc( 100% - 70px );
    margin: 0;
    font-size: 12px;
    vertical-align: middle;
    white-space: nowrap;
    text-overflow: ellipsis;
}
ul#tweetList li div.location span {
    float: right;
    font-size: 12px;
    vertical-align: middle;
    cursor: pointer;
}
ul#tweetList li div.operate {
    display: grid;
    width: calc( 100% - 30px );
    text-align: center;
    grid-template-columns: repeat( auto-fill, minmax( 48%, 1fr ) );
    grid-gap: 0px;
    border-top: 1px solid rgb( var( --r1 ), 0.1 );
    position: absolute;
    bottom: 4px;
}
ul#tweetList li div.operate, ul#tweetList li div.operate * {
    line-height: 40px;
    color: rgb( var( --r1 ) );
}
ul#tweetList li div.operate a.praise.liked::before {
    font-weight: bold;
}
div#loadMore {
    display: none;
    padding: 10px 0px;
    background: rgb( var( --r5 ), 0.25 );
    text-align: center;
    border-radius: 10px;
    cursor: pointer;
}
div#loadMore.action {
    display: block;
}